For detailed information about our APIs and for hands-on testing, refer documentation in API overview and step-by-step guide on making your first API call in Make your first API call.
This API enables you to change identifier values in the Auth engine database. Whenever a user updates the email or mobile number on Intouch, the same changes are not reflected in the Auth engine database, potentially causing usability issues for users when using the brand's applications. To avoid this issue, the API needs to be integrated into the app's change identifier flow. The app must make an additional call to ensure that the identifier updates are also reflected in the Auth engine database.
❗️
To be noted
The UpdateIdentifier API call updates the IdentifierValue corresponding to the old IdentifierValue. For instance, if the old IdentifierValue is "Mobile," the new IdentifierValue can be updated to a mobile number, and not an email.
Prerequisites
Valid token generated using auth/v1/web/token/generate
You can use this API only after successfully login into the system using primary/MFA OTP or MFA/primary password
Resource information
HTTP method
POST
URI
auth/v1/user/updateIdentifierValue
Body parameters
Parameter
Type
Description
newIdentifierValue
String
The new identifier value
identifierType
String
The type of identifier (MOBILE, EMAIL)
identifierValue
String
The old identifier value (e.g., 919988776655). Make sure that the identifier value matches with the value on Intouch.
brand
String
The brand name (e.g., BUKL)
token
String
Token generated using auth/v1/web/token/generate
deviceId
String
Unique ID of the device from which the customer has generated the token.